<?php
session_start();
if(!isset($_SESSION['id']) || $_SESSION['id']=='')
{
	http_response_code(401);
    echo json_encode('Authentication Problem');
    exit;
}
if(!isset($_SESSION['user_type']) || ($_SESSION['user_type'] != 'staff'))
{
	////http_response_code(401);
   // echo json_encode('Authentication Problem');
   // exit;
}

require_once 'database.php';

class delete extends database
{
    public function index($id)
    {
        $data['deleted_at']=date('Y-m-d H:i:s');
        $where['id'] = $id;
        return $this->update('orders', $data, $where);
    }
	
  
}

if(!isset($_GET['id']) || !is_numeric($_GET['id']))
{
    http_response_code(400);
    echo json_encode('Directory Not Found');
    exit;
}
$id = $_GET['id'];

$update = new delete();

$msg = "";
$res = $update->index($id);
if($res)
{
    http_response_code(200);
    echo json_encode('Order Deleted Successfully');
    exit;
}
                
http_response_code(500);
echo json_encode('Something went wrong');
exit;
?>